PowerPoint1ParserInternal::State Struct Reference

Internal: the state of a PowerPoint1Parser. More...

## Public Member Functions

| State ()
| constructor
MWAWEntry const & | getZoneEntry (int id) const
| try to return a zone
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pattern) const
| try to return a pattern

## Public Attributes

bool | m_isMacFile
| flag to know if the file is a mac file or a pc file
float | m_unit
| the data unit: 1 if the file is a mac file, 1/8 if the file is a windows file
long | m_zoneListBegin
| the begin position of the list of zones
std::vector< MWAWEntry > | m_zonesList
| the list of zone entries
MWAWVec2i | m_origin
| the origin
std::vector< Ruler > | m_rulersList
| the ruler
std::map< int, Slide > | m_idToSlideMap
| a map between zoneId and slide
std::map< int, Scheme > | m_idToSchemeMap
| a map between schemeId and scheme
std::map< int, MWAWColor > | m_idToUserColorMap
| a map between colorId and user color map
std::vector< int > | m_slidesIdList [2]
| the list of slides ids: 0 (master, slide 1, slide 2, ...), 1 (handout slide)
std::vector< int > | m_picturesIdList
| the list of pictures id
std::vector< int > | m_schemesIdList
| the list of scheme id
int | m_slideIds [2]
| the slide id
int | m_printInfoIds [2]
| the printInfo id
int | m_zoneIds [10]
| the sequential zones id: picture list, ...
MWAWEntry | m_badEntry
| an entry used by getZoneEntry if it does not find the zone

## Detailed Description

Internal: the state of a PowerPoint1Parser.

## Constructor & Destructor Documentation

## State()

PowerPoint1ParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getPattern()

bool PowerPoint1ParserInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pattern ) const

try to return a pattern

## getZoneEntry()

MWAWEntry const & PowerPoint1ParserInternal::State::getZoneEntry | ( | int | id | ) | const

inline

try to return a zone

## Member Data Documentation

## m_badEntry

MWAWEntry PowerPoint1ParserInternal::State::m_badEntry

an entry used by getZoneEntry if it does not find the zone

Referenced by getZoneEntry(), and State().

## m_idToSchemeMap

std::map<int, Scheme> PowerPoint1ParserInternal::State::m_idToSchemeMap

a map between schemeId and scheme

Referenced by State().

## m_idToSlideMap

std::map<int, Slide> PowerPoint1ParserInternal::State::m_idToSlideMap

a map between zoneId and slide

Referenced by State().

## m_idToUserColorMap

std::map<int, MWAWColor> PowerPoint1ParserInternal::State::m_idToUserColorMap

a map between colorId and user color map

Referenced by State().

## m_isMacFile

bool PowerPoint1ParserInternal::State::m_isMacFile

flag to know if the file is a mac file or a pc file

Referenced by State().

## m_origin

MWAWVec2i PowerPoint1ParserInternal::State::m_origin

the origin

Referenced by State().

## m_picturesIdList

std::vector<int> PowerPoint1ParserInternal::State::m_picturesIdList

the list of pictures id

Referenced by State().

## m_printInfoIds

int PowerPoint1ParserInternal::State::m_printInfoIds[2]

the printInfo id

Referenced by State().

## m_rulersList

std::vector<Ruler> PowerPoint1ParserInternal::State::m_rulersList

the ruler

Referenced by State().

## m_schemesIdList

std::vector<int> PowerPoint1ParserInternal::State::m_schemesIdList

the list of scheme id

Referenced by State().

## m_slideIds

int PowerPoint1ParserInternal::State::m_slideIds[2]

the slide id

Referenced by State().

## m_slidesIdList

std::vector<int> PowerPoint1ParserInternal::State::m_slidesIdList[2]

the list of slides ids: 0 (master, slide 1, slide 2, ...), 1 (handout slide)

## m_unit

float PowerPoint1ParserInternal::State::m_unit

the data unit: 1 if the file is a mac file, 1/8 if the file is a windows file

Referenced by State().

## m_zoneIds

int PowerPoint1ParserInternal::State::m_zoneIds[10]

the sequential zones id: picture list, ...

Referenced by State().

## m_zoneListBegin

long PowerPoint1ParserInternal::State::m_zoneListBegin

the begin position of the list of zones

Referenced by State().

## m_zonesList

std::vector<MWAWEntry> PowerPoint1ParserInternal::State::m_zonesList

the list of zone entries

Referenced by getZoneEntry(), and State().

The documentation for this struct was generated from the following file:

- PowerPoint1Parser.cxx